Enable support for compression in curl

Bug #297623 reported by Andreas Hasenack on 2008-11-13
6
Affects Status Importance Assigned to Milestone
Landscape Client
Wishlist
Andreas Hasenack
Landscape Server
Wishlist
Unassigned
landscape-client (Ubuntu)
Low
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Landscape's staging server already supports gzip encoding in http(s) transfers, and we will put it in place in production too sometime soon.

In order to take advantage of this, the client needs to enable this support in curl. I did some tests and it seems this change is enough:

--- lib/fetch.py 2008-11-05 17:06:55.000000000 -0200
+++ lib/fetch.py 2008-11-11 19:18:04.000000000 -0200
@@ -39,6 +39,7 @@
     curl.setopt(pycurl.FOLLOWLOCATION, True)
     curl.setopt(pycurl.MAXREDIRS, 5)
     curl.setopt(pycurl.WRITEFUNCTION, input.write)
+ curl.setopt(pycurl.ENCODING, "gzip, deflate")
     curl.perform()

     return input.getvalue()

Andreas Hasenack (ahasenack) wrote :

(should be "low" for landscape-client (Ubuntu))

description: updated
description: updated
Changed in landscape:
importance: Undecided → Wishlist
milestone: none → mountainview-pre-1
status: New → Confirmed
Changed in landscape-client:
importance: Undecided → Wishlist
status: New → Confirmed
status: New → Confirmed
Mathias Gug (mathiaz) on 2008-11-13
Changed in landscape-client:
importance: Undecided → Low
Changed in landscape:
milestone: mountainview-pre-1 → mountainview-pre-2
Changed in landscape:
milestone: mountainview-pre-2 → mountainview-pre-3
Changed in landscape:
milestone: mountainview-pre-3 → mountainview
Andreas Hasenack (ahasenack) wrote :

Let's try to uncouple server bugs from client ones.

Changed in landscape:
status: Confirmed → Invalid
Changed in landscape-client:
milestone: none → 1.0.x
Changed in landscape-client:
assignee: nobody → Andreas Hasenack (ahasenack)
milestone: 1.0.x → 1.5.4
Changed in landscape-client:
milestone: 1.5.4 → 1.5.5
Changed in landscape-client:
milestone: 1.5.5 → later
Changed in landscape-client:
status: Confirmed → Fix Committed
milestone: later → 11.02
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 11.02-0ubuntu0.11.04.0

---------------
landscape-client (11.02-0ubuntu0.11.04.0) natty; urgency=low

  * New upstream version (LP: #727324)

    - Exit gracefully instead of crashing when the filesystem is
      read-only (LP: #649997).

    - Drop hal requirement (LP: #708502).

    - Enable HTTP compression in Curl (LP: #297623).

    - Explicitly name log files that need to be rotated (LP: #634236).

    - Assorted test suite fixes
 -- Andreas Hasenack <email address hidden> Tue, 01 Mar 2011 15:38:11 -0300

Changed in landscape-client (Ubuntu):
status: Confirmed → Fix Released

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted landscape-client into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Maverick):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Clint Byrum (clint-fewbar) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

This package has been in karmic-proposed for some time without verification. I removed it as karmic is end-of-life now.

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Won't Fix
Andreas Hasenack (ahasenack) wrote :

Fix confirmed for lucid and maverick using the package in their respective proposed repositories:
* 11.02-0ubuntu0.10.04.1
* 11.02-0ubuntu0.10.10.1

Martin Pitt (pitti) on 2011-05-04
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 11.02-0ubuntu0.10.10.1

---------------
landscape-client (11.02-0ubuntu0.10.10.1) maverick-proposed; urgency=low

  * debian/control, debian/rules: Add quilt
  * debian/patches/fix-landscape-monitor.patch: Fix landscape
    monitoring with gir1.0-gudev-1.0 installed. (LP: #747498)

landscape-client (11.02-0ubuntu0.10.10.0) maverick-proposed; urgency=low

  * New upstream version (LP: #727324)

    - Exit gracefully instead of crashing when the filesystem is
      read-only (LP: #649997).

    - Drop hal requirement (LP: #708502).

    - Enable HTTP compression in Curl (LP: #297623).

    - Explicitly name log files that need to be rotated (LP: #634236).

    - Assorted test suite fixes

    - Use a better load check for the sysinfo wrapper, taking into account the
      number of cores (LP: #643565).

    - Add an option to bootstrap cloud instances using cloud-init
      (LP: #701972).

    - Fix packaging for Natty (LP: #688115).

    - Force deletion of all the persist data for the monitoring plugins at
      resynchronization, instead of relying each one of them to do
      (LP: #688161).

    - Don't send the mount-activity message to the server anymore
      (LP: #688514).

    - Workaround a new behavior in NetworkManager where getfqdn would report
      localhost instead of useful hostname (LP: #649142).

landscape-client (1.5.5.1-0ubuntu0.10.10.0) maverick; urgency=low

  * The client network plugin would send erroneous data if a network
    interface was removed (and its kernel module removed as well) and
    then readded (LP: #641264).
 -- Chuck Short <email address hidden> Tue, 12 Apr 2011 13:56:38 -0400

Changed in landscape-client (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 11.02-0ubuntu0.10.04.1

---------------
landscape-client (11.02-0ubuntu0.10.04.1) lucid-proposed; urgency=low

  * debian/control, debian/rules: Add quilt
  * debian/patches/fix-landscape-monitor.patch: Fix landscape:
    monitoring with gir1.0-gudev-1.0 installed. (LP: #747498)

landscape-client (11.02-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * New upstream version (LP: #727324)

    - Exit gracefully instead of crashing when the filesystem is
      read-only (LP: #649997).

    - Drop hal requirement (LP: #708502).

    - Enable HTTP compression in Curl (LP: #297623).

    - Explicitly name log files that need to be rotated (LP: #634236).

    - Assorted test suite fixes

    - Use a better load check for the sysinfo wrapper, taking into account the
      number of cores (LP: #643565).

    - Add an option to bootstrap cloud instances using cloud-init
      (LP: #701972).

    - Fix packaging for Natty (LP: #688115).

    - Force deletion of all the persist data for the monitoring plugins at
      resynchronization, instead of relying each one of them to do
      (LP: #688161).

    - Don't send the mount-activity message to the server anymore
      (LP: #688514).

    - Workaround a new behavior in NetworkManager where getfqdn would report
      localhost instead of useful hostname (LP: #649142).
 -- Chuck Short <email address hidden> Tue, 12 Apr 2011 14:38:20 -0400

Changed in landscape-client (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in landscape-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers